%global momorel 43
%global emacsver 22.1
%global xemacsver 21.4.20
%global apelver 10.7-5m
%global flimver 1.14.8-10m
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global cvs_date 200703070227

Summary: MU - Message Utilities - for Emacsen
Name: elisp-mu
Version: 8.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
#Source: ftp://ftp.jpl.org/pub/elisp/mu/mu-cite-%{version}.tar.gz
Source: ftp://ftp.jpl.org/pub/elisp/mu/mu-cite-%{cvs_date}.tar.gz
#Nosource: 0
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
BuildPreReq: flim-emacs >= %{flimver}, flim-xemacs >= %{flimver}

%description
  MU stands for "Message Utilities".  It consists of following
  modules:

	mu-cite: a citation utility
	  mu-cite.el     --- main module of mu-cite
	  mu-bbdb.el     --- mu-cite submodule for BBDB
	  mu-register.el --- mu-cite submodule for registration

	latex-math-symbol.el --- translate mathematical symbols of
			     	 LaTeX into MULE characters

  It requires two packages APEL 10.7 or later and FLIM 1.12.2 or later.
  Please install them.

%package -n mu-emacs
Group: Applications/Editors
Summary: MU - Message Utilities - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Requires: flim-emacs >= %{flimver}
Provides: mu-cite-emacs

%description -n mu-emacs
  MU stands for "Message Utilities".  It consists of following
  modules:

	mu-cite: a citation utility
	  mu-cite.el     --- main module of mu-cite
	  mu-bbdb.el     --- mu-cite submodule for BBDB
	  mu-register.el --- mu-cite submodule for registration

	latex-math-symbol.el --- translate mathematical symbols of
			     	 LaTeX into MULE characters

  It requires two packages APEL 10.7 or later and FLIM 1.12.2 or later.
  Please install them.

%package -n mu-xemacs
Group: Applications/Editors
Summary: MU - Message Utilities - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}
Requires: flim-xemacs >= %{flimver}
Provides: mu-cite-xemacs

%description -n mu-xemacs
  MU stands for "Message Utilities".  It consists of following
  modules:

	mu-cite: a citation utility
	  mu-cite.el     --- main module of mu-cite
	  mu-bbdb.el     --- mu-cite submodule for BBDB
	  mu-register.el --- mu-cite submodule for registration

	latex-math-symbol.el --- translate mathematical symbols of
			     	 LaTeX into MULE characters

  It requires two packages APEL 10.7 or later and FLIM 1.12.2 or later.
  Please install them.

%prep
%setup -q -n mu-cite-%{cvs_date}
rm -rf %{buildroot}

%build
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir}
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README.en

%files -n mu-emacs
%defattr(-,root,root)
%{e_sitedir}/mu

%files -n mu-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/mu

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1-43m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1-42m)
- update to cvs snapshot

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-41m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-40m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-39m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-38m)
- rebuild against emacs-22.0.94

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.1-37m)
- rebuild against apel-10.7

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-36m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-35m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-34m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-33m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (8.1-32m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (8.1-31m)
- use %%{e_sitedir}, %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-30m)
- rebuild against emacs 22.0.50

* Tue Feb  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (8.1-29m)
- user flim insted of limit

* Thu Nov 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-28m)
- update apelver to 10.6-3m

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (8.1-27m)
- rebuild against emacs-21.3.50

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-26m)
- rebuild against emacs-21.3
- update version apel and limit
- use macro emacsver, xemacsver, apelver, limitver
- use %%{_prefix} macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (8.1-25m)
- Rebuild against elisp-apel-10.4-1m and elisp-limit-1.14.7-21m

* Mon Dec  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (8.1-24m)
- Requires: emacsen

* Thu Aug 15 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (8.1-23m)
- Rebuild against elisp-apel-10.3-21m and elisp-limit-1.14.7-19m
- sync with latest CVS (mu-20020225-cvs.patch)
- Remove Obsolete: tag.
- Requires: and BuildPreReq: emacs-21.1 -> 21.2

* Sat Dec 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-22k)
- sync with latest CVS (mu-20011221-cvs.patch)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-20k)
- modify Requires tag

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-18k)
- rebuild against emacs-21.1 and xemacs-21.4
- remove %emacsver

* Mon Oct 22 2001 Kazuhiko <kazuhiko@kondara.org>
- (8.1-16k)
- add Provides: tag

* Mon Oct 22 2001 Hidetomo Machi <machi@uranus.ailab.is.tsukuba.ac.jp>
- (eilsp-mu-8.1-12k)
- sync with latest CVS (mu-20010829-cvs-patch)
- change package's name

* Thu May 31 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-10k)
- sync with latest CVS (mu-cite-20010523-cvs.patch)
- change Source0 URL

* Fri Nov 10 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- change BuildPreReq & Requires TAG

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (8.1-7k)
- modify specfile (License)
- dir problem

* Mon Feb 28 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.6.

* Sun Jan 7 2000 SAKA Toshihide <saka@yugen.org>
- First release.
